/* Generated by re2c 1.0.2 */
#line 1 "src/lib/amipack_parser_detect.re"
/**
 * amiws -- Library with functions for read/create AMI packets
 * Copyright (C) 2016, Stas Kobzar <staskobzar@modulis.ca>
 *
 * This file is part of amiws.
 *
 * amiws is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * amiws is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with amiws.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @file amipack_parser_detect.c
 * @brief AMI (Asterisk Management Interface) packet's type detect.
 *
 * @author Stas Kobzar <stas.kobzar@modulis.ca>
 */

#include "amipack.h"

enum pack_type amipack_parser_detect (const char *packet)
{
  const char *cursor = packet;

  
#line 38 "src/lib/amipack_parser_detect.c"
{
	char yych;
	unsigned int yyaccept = 0;
	yych = *cursor;
	switch (yych) {
	case ' ':	goto yy4;
	case 'A':	goto yy5;
	case 'E':
	case 'e':	goto yy6;
	case 'R':
	case 'r':	goto yy7;
	case 'a':	goto yy8;
	default:	goto yy2;
	}
yy2:
	yyaccept = 0;
	yych = *(packet = ++cursor);
	goto yy10;
yy3:
#line 64 "src/lib/amipack_parser_detect.re"
	{ return AMI_UNKNOWN; }
#line 60 "src/lib/amipack_parser_detect.c"
yy4:
	++cursor;
	goto yy3;
yy5:
	yyaccept = 0;
	yych = *(packet = ++cursor);
	switch (yych) {
	case 'C':
	case 'c':	goto yy13;
	case 's':	goto yy14;
	default:	goto yy10;
	}
yy6:
	yyaccept = 0;
	yych = *(packet = ++cursor);
	switch (yych) {
	case 'V':
	case 'v':	goto yy15;
	default:	goto yy10;
	}
yy7:
	yyaccept = 0;
	yych = *(packet = ++cursor);
	switch (yych) {
	case 'E':
	case 'e':	goto yy16;
	default:	goto yy10;
	}
yy8:
	yyaccept = 0;
	yych = *(packet = ++cursor);
	switch (yych) {
	case 'C':
	case 'c':	goto yy13;
	default:	goto yy10;
	}
yy9:
	yych = *++cursor;
yy10:
	switch (yych) {
	case ' ':	goto yy11;
	default:	goto yy9;
	}
yy11:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy17;
	default:	goto yy12;
	}
yy12:
	cursor = packet;
	switch (yyaccept) {
	case 0: 	goto yy3;
	case 1: 	goto yy91;
	case 2: 	goto yy106;
	case 3: 	goto yy198;
	case 4: 	goto yy205;
	default:	goto yy344;
	}
yy13:
	yych = *++cursor;
	switch (yych) {
	case 'T':
	case 't':	goto yy18;
	default:	goto yy10;
	}
yy14:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy19;
	default:	goto yy10;
	}
yy15:
	yych = *++cursor;
	switch (yych) {
	case 'E':
	case 'e':	goto yy20;
	default:	goto yy10;
	}
yy16:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy21;
	default:	goto yy10;
	}
yy17:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy22;
	default:	goto yy12;
	}
yy18:
	yych = *++cursor;
	switch (yych) {
	case 'I':
	case 'i':	goto yy23;
	default:	goto yy10;
	}
yy19:
	yych = *++cursor;
	switch (yych) {
	case 'e':	goto yy24;
	default:	goto yy10;
	}
yy20:
	yych = *++cursor;
	switch (yych) {
	case 'N':
	case 'n':	goto yy25;
	default:	goto yy10;
	}
yy21:
	yych = *++cursor;
	switch (yych) {
	case 'P':
	case 'p':	goto yy26;
	default:	goto yy10;
	}
yy22:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy27;
	default:	goto yy12;
	}
yy23:
	yych = *++cursor;
	switch (yych) {
	case 'O':
	case 'o':	goto yy28;
	default:	goto yy10;
	}
yy24:
	yych = *++cursor;
	switch (yych) {
	case 'r':	goto yy29;
	default:	goto yy10;
	}
yy25:
	yych = *++cursor;
	switch (yych) {
	case 'T':
	case 't':	goto yy30;
	default:	goto yy10;
	}
yy26:
	yych = *++cursor;
	switch (yych) {
	case 'O':
	case 'o':	goto yy32;
	default:	goto yy10;
	}
yy27:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy33;
	default:	goto yy12;
	}
yy28:
	yych = *++cursor;
	switch (yych) {
	case 'N':
	case 'n':	goto yy34;
	default:	goto yy10;
	}
yy29:
	yych = *++cursor;
	switch (yych) {
	case 'i':	goto yy36;
	default:	goto yy10;
	}
yy30:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy30;
	case ' ':	goto yy37;
	case ':':	goto yy38;
	default:	goto yy9;
	}
yy32:
	yych = *++cursor;
	switch (yych) {
	case 'N':
	case 'n':	goto yy40;
	default:	goto yy10;
	}
yy33:
	yych = *++cursor;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy41;
	default:	goto yy12;
	}
yy34:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy34;
	case ' ':	goto yy43;
	case ':':	goto yy44;
	default:	goto yy9;
	}
yy36:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy46;
	default:	goto yy10;
	}
yy37:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy17;
	default:	goto yy48;
	}
yy38:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy51;
	case ' ':	goto yy52;
	default:	goto yy38;
	}
yy40:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy53;
	default:	goto yy10;
	}
yy41:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy54;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy41;
	default:	goto yy12;
	}
yy43:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy17;
	default:	goto yy56;
	}
yy44:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy59;
	case ' ':	goto yy60;
	default:	goto yy44;
	}
yy46:
	yych = *++cursor;
	switch (yych) {
	case 'k':	goto yy61;
	default:	goto yy10;
	}
yy47:
	yych = *++cursor;
yy48:
	switch (yych) {
	case '\t':
	case ' ':	goto yy47;
	case ':':	goto yy49;
	default:	goto yy12;
	}
yy49:
	yych = *++cursor;
yy50:
	switch (yych) {
	case '\r':	goto yy62;
	default:	goto yy49;
	}
yy51:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy63;
	case ' ':	goto yy11;
	default:	goto yy9;
	}
yy52:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy64;
	default:	goto yy50;
	}
yy53:
	yych = *++cursor;
	switch (yych) {
	case 'E':
	case 'e':	goto yy65;
	default:	goto yy10;
	}
yy54:
	yych = *++cursor;
	switch (yych) {
	case 'c':	goto yy67;
	default:	goto yy12;
	}
yy55:
	yych = *++cursor;
yy56:
	switch (yych) {
	case '\t':
	case ' ':	goto yy55;
	case ':':	goto yy57;
	default:	goto yy12;
	}
yy57:
	yych = *++cursor;
yy58:
	switch (yych) {
	case '\r':	goto yy68;
	default:	goto yy57;
	}
yy59:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy69;
	case ' ':	goto yy11;
	default:	goto yy9;
	}
yy60:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy70;
	default:	goto yy58;
	}
yy61:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy71;
	default:	goto yy9;
	}
yy62:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy72;
	default:	goto yy12;
	}
yy63:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy73;
	case ' ':	goto yy11;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy74;
	default:	goto yy9;
	}
yy64:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy76;
	default:	goto yy50;
	}
yy65:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy65;
	case ' ':	goto yy77;
	case ':':	goto yy78;
	default:	goto yy9;
	}
yy67:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy80;
	default:	goto yy12;
	}
yy68:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy81;
	default:	goto yy12;
	}
yy69:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy82;
	case ' ':	goto yy11;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy83;
	default:	goto yy9;
	}
yy70:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy85;
	default:	goto yy58;
	}
yy71:
	yych = *++cursor;
	switch (yych) {
	case 'C':	goto yy86;
	case 'h':	goto yy17;
	default:	goto yy12;
	}
yy72:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy87;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy88;
	default:	goto yy12;
	}
yy73:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy90;
	default:	goto yy10;
	}
yy74:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy30;
	case ' ':	goto yy37;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy74;
	case ':':	goto yy38;
	default:	goto yy9;
	}
yy76:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy92;
	default:	goto yy50;
	}
yy77:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy17;
	default:	goto yy94;
	}
yy78:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy78;
	case ' ':	goto yy97;
	case 'E':
	case 'e':	goto yy98;
	case 'F':
	case 'f':	goto yy99;
	case 'S':
	case 's':	goto yy100;
	default:	goto yy9;
	}
yy80:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy101;
	default:	goto yy12;
	}
yy81:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy102;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy103;
	default:	goto yy12;
	}
yy82:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy105;
	default:	goto yy10;
	}
yy83:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy34;
	case ' ':	goto yy43;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy83;
	case ':':	goto yy44;
	default:	goto yy9;
	}
yy85:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy107;
	default:	goto yy58;
	}
yy86:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy108;
	default:	goto yy12;
	}
yy87:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy109;
	default:	goto yy12;
	}
yy88:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy47;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy88;
	case ':':	goto yy49;
	default:	goto yy12;
	}
yy90:
	yyaccept = 1;
	yych = *(packet = ++cursor);
	goto yy10;
yy91:
#line 67 "src/lib/amipack_parser_detect.re"
	{ return AMI_EVENT;   }
#line 1026 "src/lib/amipack_parser_detect.c"
yy92:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy110;
	default:	goto yy50;
	}
yy93:
	yych = *++cursor;
yy94:
	switch (yych) {
	case '\t':
	case ' ':	goto yy93;
	case ':':	goto yy95;
	default:	goto yy12;
	}
yy95:
	yych = *++cursor;
yy96:
	switch (yych) {
	case '\t':
	case ' ':	goto yy95;
	case 'E':
	case 'e':	goto yy111;
	case 'F':
	case 'f':	goto yy112;
	case 'S':
	case 's':	goto yy113;
	default:	goto yy12;
	}
yy97:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy17;
	default:	goto yy96;
	}
yy98:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy114;
	default:	goto yy10;
	}
yy99:
	yych = *++cursor;
	switch (yych) {
	case 'A':
	case 'a':	goto yy115;
	case 'O':
	case 'o':	goto yy116;
	default:	goto yy10;
	}
yy100:
	yych = *++cursor;
	switch (yych) {
	case 'U':
	case 'u':	goto yy117;
	default:	goto yy10;
	}
yy101:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy118;
	default:	goto yy12;
	}
yy102:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy119;
	default:	goto yy12;
	}
yy103:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy55;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy103;
	case ':':	goto yy57;
	default:	goto yy12;
	}
yy105:
	yyaccept = 2;
	yych = *(packet = ++cursor);
	goto yy10;
yy106:
#line 66 "src/lib/amipack_parser_detect.re"
	{ return AMI_ACTION;  }
#line 1177 "src/lib/amipack_parser_detect.c"
yy107:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy120;
	default:	goto yy58;
	}
yy108:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy121;
	default:	goto yy12;
	}
yy109:
	++cursor;
	goto yy91;
yy110:
	yych = *++cursor;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy122;
	default:	goto yy50;
	}
yy111:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy124;
	default:	goto yy12;
	}
yy112:
	yych = *++cursor;
	switch (yych) {
	case 'A':
	case 'a':	goto yy125;
	case 'O':
	case 'o':	goto yy126;
	default:	goto yy12;
	}
yy113:
	yych = *++cursor;
	switch (yych) {
	case 'U':
	case 'u':	goto yy127;
	default:	goto yy12;
	}
yy114:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy128;
	default:	goto yy10;
	}
yy115:
	yych = *++cursor;
	switch (yych) {
	case 'I':
	case 'i':	goto yy129;
	default:	goto yy10;
	}
yy116:
	yych = *++cursor;
	switch (yych) {
	case 'L':
	case 'l':	goto yy130;
	default:	goto yy10;
	}
yy117:
	yych = *++cursor;
	switch (yych) {
	case 'C':
	case 'c':	goto yy131;
	default:	goto yy10;
	}
yy118:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy132;
	default:	goto yy12;
	}
yy119:
	++cursor;
	goto yy106;
yy120:
	yych = *++cursor;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy133;
	default:	goto yy58;
	}
yy121:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy135;
	default:	goto yy12;
	}
yy122:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy62;
	case ' ':	goto yy136;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy122;
	default:	goto yy49;
	}
yy124:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy137;
	default:	goto yy12;
	}
yy125:
	yych = *++cursor;
	switch (yych) {
	case 'I':
	case 'i':	goto yy138;
	default:	goto yy12;
	}
yy126:
	yych = *++cursor;
	switch (yych) {
	case 'L':
	case 'l':	goto yy139;
	default:	goto yy12;
	}
yy127:
	yych = *++cursor;
	switch (yych) {
	case 'C':
	case 'c':	goto yy140;
	default:	goto yy12;
	}
yy128:
	yych = *++cursor;
	switch (yych) {
	case 'O':
	case 'o':	goto yy141;
	default:	goto yy10;
	}
yy129:
	yych = *++cursor;
	switch (yych) {
	case 'L':
	case 'l':	goto yy142;
	default:	goto yy10;
	}
yy130:
	yych = *++cursor;
	switch (yych) {
	case 'L':
	case 'l':	goto yy143;
	default:	goto yy10;
	}
yy131:
	yych = *++cursor;
	switch (yych) {
	case 'C':
	case 'c':	goto yy144;
	default:	goto yy10;
	}
yy132:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy145;
	default:	goto yy12;
	}
yy133:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy68;
	case ' ':	goto yy146;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy133;
	default:	goto yy57;
	}
yy135:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy147;
	default:	goto yy12;
	}
yy136:
	yych = *++cursor;
	switch (yych) {
	case 'c':	goto yy148;
	default:	goto yy50;
	}
yy137:
	yych = *++cursor;
	switch (yych) {
	case 'O':
	case 'o':	goto yy149;
	default:	goto yy12;
	}
yy138:
	yych = *++cursor;
	switch (yych) {
	case 'L':
	case 'l':	goto yy150;
	default:	goto yy12;
	}
yy139:
	yych = *++cursor;
	switch (yych) {
	case 'L':
	case 'l':	goto yy151;
	default:	goto yy12;
	}
yy140:
	yych = *++cursor;
	switch (yych) {
	case 'C':
	case 'c':	goto yy152;
	default:	goto yy12;
	}
yy141:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy153;
	default:	goto yy10;
	}
yy142:
	yych = *++cursor;
	switch (yych) {
	case 'U':
	case 'u':	goto yy154;
	default:	goto yy10;
	}
yy143:
	yych = *++cursor;
	switch (yych) {
	case 'O':
	case 'o':	goto yy155;
	default:	goto yy10;
	}
yy144:
	yych = *++cursor;
	switch (yych) {
	case 'E':
	case 'e':	goto yy156;
	default:	goto yy10;
	}
yy145:
	yych = *++cursor;
	switch (yych) {
	case '(':	goto yy157;
	default:	goto yy12;
	}
yy146:
	yych = *++cursor;
	switch (yych) {
	case 'c':	goto yy158;
	default:	goto yy58;
	}
yy147:
	yych = *++cursor;
	switch (yych) {
	case 'M':	goto yy159;
	default:	goto yy12;
	}
yy148:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy160;
	default:	goto yy50;
	}
yy149:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy161;
	default:	goto yy12;
	}
yy150:
	yych = *++cursor;
	switch (yych) {
	case 'U':
	case 'u':	goto yy162;
	default:	goto yy12;
	}
yy151:
	yych = *++cursor;
	switch (yych) {
	case 'O':
	case 'o':	goto yy163;
	default:	goto yy12;
	}
yy152:
	yych = *++cursor;
	switch (yych) {
	case 'E':
	case 'e':	goto yy164;
	default:	goto yy12;
	}
yy153:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy165;
	default:	goto yy10;
	}
yy154:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy166;
	default:	goto yy10;
	}
yy155:
	yych = *++cursor;
	switch (yych) {
	case 'W':
	case 'w':	goto yy167;
	default:	goto yy10;
	}
yy156:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy168;
	default:	goto yy10;
	}
yy157:
	yych = *++cursor;
	switch (yych) {
	case 'm':	goto yy169;
	default:	goto yy12;
	}
yy158:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy170;
	default:	goto yy58;
	}
yy159:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy171;
	default:	goto yy12;
	}
yy160:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy172;
	default:	goto yy50;
	}
yy161:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy173;
	default:	goto yy12;
	}
yy162:
	yych = *++cursor;
	switch (yych) {
	case 'R':
	case 'r':	goto yy174;
	default:	goto yy12;
	}
yy163:
	yych = *++cursor;
	switch (yych) {
	case 'W':
	case 'w':	goto yy175;
	default:	goto yy12;
	}
yy164:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy176;
	default:	goto yy12;
	}
yy165:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy177;
	case ' ':	goto yy11;
	default:	goto yy9;
	}
yy166:
	yych = *++cursor;
	switch (yych) {
	case 'E':
	case 'e':	goto yy153;
	default:	goto yy10;
	}
yy167:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy178;
	default:	goto yy10;
	}
yy168:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy153;
	default:	goto yy10;
	}
yy169:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy179;
	default:	goto yy12;
	}
yy170:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy180;
	default:	goto yy58;
	}
yy171:
	yych = *++cursor;
	switch (yych) {
	case 'n':	goto yy181;
	default:	goto yy12;
	}
yy172:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy182;
	default:	goto yy50;
	}
yy173:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy183;
	default:	goto yy12;
	}
yy174:
	yych = *++cursor;
	switch (yych) {
	case 'E':
	case 'e':	goto yy161;
	default:	goto yy12;
	}
yy175:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy184;
	default:	goto yy12;
	}
yy176:
	yych = *++cursor;
	switch (yych) {
	case 'S':
	case 's':	goto yy161;
	default:	goto yy12;
	}
yy177:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy185;
	case ' ':	goto yy11;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy186;
	default:	goto yy9;
	}
yy178:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy188;
	default:	goto yy10;
	}
yy179:
	yych = *++cursor;
	switch (yych) {
	case 'x':	goto yy189;
	default:	goto yy12;
	}
yy180:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy190;
	default:	goto yy58;
	}
yy181:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy191;
	default:	goto yy12;
	}
yy182:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy192;
	default:	goto yy50;
	}
yy183:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy193;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy194;
	default:	goto yy12;
	}
yy184:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy196;
	default:	goto yy12;
	}
yy185:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy197;
	default:	goto yy10;
	}
yy186:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy199;
	case ' ':	goto yy201;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy186;
	case ':':	goto yy202;
	default:	goto yy9;
	}
yy188:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy204;
	default:	goto yy10;
	}
yy189:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy206;
	default:	goto yy12;
	}
yy190:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy207;
	default:	goto yy58;
	}
yy191:
	yych = *++cursor;
	switch (yych) {
	case 'g':	goto yy208;
	default:	goto yy12;
	}
yy192:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy209;
	default:	goto yy50;
	}
yy193:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy210;
	default:	goto yy12;
	}
yy194:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy211;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy194;
	case ':':	goto yy213;
	default:	goto yy12;
	}
yy196:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy215;
	default:	goto yy12;
	}
yy197:
	yyaccept = 3;
	yych = *(packet = ++cursor);
	goto yy10;
yy198:
#line 68 "src/lib/amipack_parser_detect.re"
	{ return AMI_RESPONSE;}
#line 2042 "src/lib/amipack_parser_detect.c"
yy199:
	yych = *++cursor;
	switch (yych) {
	case '\t':	goto yy199;
	case ' ':	goto yy201;
	case ':':	goto yy202;
	default:	goto yy9;
	}
yy201:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy17;
	default:	goto yy212;
	}
yy202:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy165;
	case ' ':	goto yy216;
	default:	goto yy202;
	}
yy204:
	yyaccept = 4;
	yych = *(packet = ++cursor);
	goto yy10;
yy205:
#line 69 "src/lib/amipack_parser_detect.re"
	{ return AMI_RESPCMD; }
#line 2071 "src/lib/amipack_parser_detect.c"
yy206:
	yych = *++cursor;
	switch (yych) {
	case ')':	goto yy12;
	default:	goto yy217;
	}
yy207:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy219;
	default:	goto yy58;
	}
yy208:
	yych = *++cursor;
	switch (yych) {
	case 'e':	goto yy220;
	default:	goto yy12;
	}
yy209:
	yych = *++cursor;
	switch (yych) {
	case '(':	goto yy221;
	default:	goto yy50;
	}
yy210:
	++cursor;
	goto yy198;
yy211:
	yych = *++cursor;
yy212:
	switch (yych) {
	case '\t':
	case ' ':	goto yy211;
	case ':':	goto yy213;
	default:	goto yy12;
	}
yy213:
	yych = *++cursor;
yy214:
	switch (yych) {
	case '\r':	goto yy173;
	default:	goto yy213;
	}
yy215:
	++cursor;
	goto yy205;
yy216:
	yych = *++cursor;
	switch (yych) {
	case 'h':	goto yy222;
	default:	goto yy214;
	}
yy217:
	yych = *++cursor;
yy218:
	switch (yych) {
	case ')':	goto yy223;
	default:	goto yy217;
	}
yy219:
	yych = *++cursor;
	switch (yych) {
	case '(':	goto yy224;
	default:	goto yy58;
	}
yy220:
	yych = *++cursor;
	switch (yych) {
	case 'r':	goto yy225;
	default:	goto yy12;
	}
yy221:
	yych = *++cursor;
	switch (yych) {
	case 'm':	goto yy226;
	default:	goto yy50;
	}
yy222:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy227;
	default:	goto yy214;
	}
yy223:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy228;
	default:	goto yy12;
	}
yy224:
	yych = *++cursor;
	switch (yych) {
	case 'm':	goto yy229;
	default:	goto yy58;
	}
yy225:
	yych = *++cursor;
	switch (yych) {
	case '/':	goto yy230;
	default:	goto yy12;
	}
yy226:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy231;
	default:	goto yy50;
	}
yy227:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy232;
	default:	goto yy214;
	}
yy228:
	yych = *++cursor;
	switch (yych) {
	case 'i':	goto yy233;
	default:	goto yy12;
	}
yy229:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy234;
	default:	goto yy58;
	}
yy230:
	yych = *++cursor;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy235;
	default:	goto yy12;
	}
yy231:
	yych = *++cursor;
	switch (yych) {
	case 'x':	goto yy237;
	default:	goto yy50;
	}
yy232:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy238;
	default:	goto yy214;
	}
yy233:
	yych = *++cursor;
	switch (yych) {
	case 'n':	goto yy239;
	default:	goto yy12;
	}
yy234:
	yych = *++cursor;
	switch (yych) {
	case 'x':	goto yy240;
	default:	goto yy58;
	}
yy235:
	yych = *++cursor;
	switch (yych) {
	case '.':	goto yy241;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy235;
	default:	goto yy12;
	}
yy237:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy242;
	default:	goto yy50;
	}
yy238:
	yych = *++cursor;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy243;
	default:	goto yy214;
	}
yy239:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy245;
	default:	goto yy12;
	}
yy240:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy246;
	default:	goto yy58;
	}
yy241:
	yych = *++cursor;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy247;
	default:	goto yy12;
	}
yy242:
	yych = *++cursor;
	switch (yych) {
	case ')':	goto yy49;
	default:	goto yy250;
	}
yy243:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy173;
	case ' ':	goto yy252;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy243;
	default:	goto yy213;
	}
yy245:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy253;
	default:	goto yy12;
	}
yy246:
	yych = *++cursor;
	switch (yych) {
	case ')':	goto yy57;
	default:	goto yy255;
	}
yy247:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy257;
	case '.':	goto yy258;
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy247;
	default:	goto yy12;
	}
yy249:
	yych = *++cursor;
yy250:
	switch (yych) {
	case '\r':	goto yy251;
	case ')':	goto yy259;
	default:	goto yy249;
	}
yy251:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy260;
	case ')':	goto yy223;
	default:	goto yy217;
	}
yy252:
	yych = *++cursor;
	switch (yych) {
	case 'c':	goto yy261;
	default:	goto yy214;
	}
yy253:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy12;
	default:	goto yy262;
	}
yy254:
	yych = *++cursor;
yy255:
	switch (yych) {
	case '\r':	goto yy256;
	case ')':	goto yy264;
	default:	goto yy254;
	}
yy256:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy265;
	case ')':	goto yy223;
	default:	goto yy217;
	}
yy257:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy266;
	default:	goto yy12;
	}
yy258:
	yych = *++cursor;
	switch (yych) {
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy268;
	default:	goto yy12;
	}
yy259:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy269;
	default:	goto yy50;
	}
yy260:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy270;
	case ')':	goto yy223;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy271;
	default:	goto yy217;
	}
yy261:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy273;
	default:	goto yy214;
	}
yy262:
	yych = *++cursor;
yy263:
	switch (yych) {
	case '\'':	goto yy274;
	default:	goto yy262;
	}
yy264:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy275;
	default:	goto yy58;
	}
yy265:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy276;
	case ')':	goto yy223;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy277;
	default:	goto yy217;
	}
yy266:
	++cursor;
#line 65 "src/lib/amipack_parser_detect.re"
	{ return AMI_PROMPT;  }
#line 2588 "src/lib/amipack_parser_detect.c"
yy268:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy257;
	default:	goto yy12;
	}
yy269:
	yych = *++cursor;
	switch (yych) {
	case 'i':	goto yy279;
	default:	goto yy50;
	}
yy270:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy280;
	default:	goto yy218;
	}
yy271:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy281;
	case ')':	goto yy223;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy271;
	case ':':	goto yy249;
	default:	goto yy217;
	}
yy273:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy283;
	default:	goto yy214;
	}
yy274:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy284;
	default:	goto yy12;
	}
yy275:
	yych = *++cursor;
	switch (yych) {
	case 'i':	goto yy285;
	default:	goto yy58;
	}
yy276:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy286;
	default:	goto yy218;
	}
yy277:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy287;
	case ')':	goto yy223;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy277;
	case ':':	goto yy254;
	default:	goto yy217;
	}
yy279:
	yych = *++cursor;
	switch (yych) {
	case 'n':	goto yy289;
	default:	goto yy50;
	}
yy280:
	yyaccept = 1;
	yych = *(packet = ++cursor);
	goto yy218;
yy281:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy281;
	case ')':	goto yy223;
	case ':':	goto yy249;
	default:	goto yy217;
	}
yy283:
	yych = *++cursor;
	switch (yych) {
	case 'l':	goto yy290;
	default:	goto yy214;
	}
yy284:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy291;
	default:	goto yy12;
	}
yy285:
	yych = *++cursor;
	switch (yych) {
	case 'n':	goto yy292;
	default:	goto yy58;
	}
yy286:
	yyaccept = 2;
	yych = *(packet = ++cursor);
	goto yy218;
yy287:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy287;
	case ')':	goto yy223;
	case ':':	goto yy254;
	default:	goto yy217;
	}
yy289:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy293;
	default:	goto yy50;
	}
yy290:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy294;
	default:	goto yy214;
	}
yy291:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy295;
	default:	goto yy12;
	}
yy292:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy296;
	default:	goto yy58;
	}
yy293:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy297;
	default:	goto yy50;
	}
yy294:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy298;
	default:	goto yy214;
	}
yy295:
	yych = *++cursor;
	switch (yych) {
	case 'r':	goto yy299;
	default:	goto yy12;
	}
yy296:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy300;
	default:	goto yy58;
	}
yy297:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy49;
	default:	goto yy302;
	}
yy298:
	yych = *++cursor;
	switch (yych) {
	case '(':	goto yy304;
	default:	goto yy214;
	}
yy299:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy305;
	default:	goto yy12;
	}
yy300:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy57;
	default:	goto yy307;
	}
yy301:
	yych = *++cursor;
yy302:
	switch (yych) {
	case '\r':	goto yy303;
	case '\'':	goto yy309;
	default:	goto yy301;
	}
yy303:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy310;
	case '\'':	goto yy274;
	default:	goto yy262;
	}
yy304:
	yych = *++cursor;
	switch (yych) {
	case 'm':	goto yy311;
	default:	goto yy214;
	}
yy305:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy312;
	default:	goto yy12;
	}
yy306:
	yych = *++cursor;
yy307:
	switch (yych) {
	case '\r':	goto yy308;
	case '\'':	goto yy313;
	default:	goto yy306;
	}
yy308:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy314;
	case '\'':	goto yy274;
	default:	goto yy262;
	}
yy309:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy315;
	default:	goto yy50;
	}
yy310:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy316;
	case '\'':	goto yy274;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy317;
	default:	goto yy262;
	}
yy311:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy319;
	default:	goto yy214;
	}
yy312:
	yych = *++cursor;
	switch (yych) {
	case 'e':	goto yy320;
	default:	goto yy12;
	}
yy313:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy321;
	default:	goto yy58;
	}
yy314:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy322;
	case '\'':	goto yy274;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy323;
	default:	goto yy262;
	}
yy315:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy325;
	default:	goto yy50;
	}
yy316:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy326;
	default:	goto yy263;
	}
yy317:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy327;
	case '\'':	goto yy274;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy317;
	case ':':	goto yy301;
	default:	goto yy262;
	}
yy319:
	yych = *++cursor;
	switch (yych) {
	case 'x':	goto yy329;
	default:	goto yy214;
	}
yy320:
	yych = *++cursor;
	switch (yych) {
	case 'g':	goto yy330;
	default:	goto yy12;
	}
yy321:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy331;
	default:	goto yy58;
	}
yy322:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy332;
	default:	goto yy263;
	}
yy323:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy333;
	case '\'':	goto yy274;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy323;
	case ':':	goto yy306;
	default:	goto yy262;
	}
yy325:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy335;
	default:	goto yy50;
	}
yy326:
	yyaccept = 1;
	yych = *(packet = ++cursor);
	goto yy263;
yy327:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy327;
	case '\'':	goto yy274;
	case ':':	goto yy301;
	default:	goto yy262;
	}
yy329:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy336;
	default:	goto yy214;
	}
yy330:
	yych = *++cursor;
	switch (yych) {
	case 'y':	goto yy337;
	default:	goto yy12;
	}
yy331:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy338;
	default:	goto yy58;
	}
yy332:
	yyaccept = 2;
	yych = *(packet = ++cursor);
	goto yy263;
yy333:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy333;
	case '\'':	goto yy274;
	case ':':	goto yy306;
	default:	goto yy262;
	}
yy335:
	yych = *++cursor;
	switch (yych) {
	case 'r':	goto yy339;
	default:	goto yy50;
	}
yy336:
	yych = *++cursor;
	switch (yych) {
	case ')':	goto yy213;
	default:	goto yy341;
	}
yy337:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy343;
	default:	goto yy12;
	}
yy338:
	yych = *++cursor;
	switch (yych) {
	case 'r':	goto yy345;
	default:	goto yy58;
	}
yy339:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy346;
	default:	goto yy50;
	}
yy340:
	yych = *++cursor;
yy341:
	switch (yych) {
	case '\r':	goto yy342;
	case ')':	goto yy347;
	default:	goto yy340;
	}
yy342:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy348;
	case ')':	goto yy223;
	default:	goto yy217;
	}
yy343:
	++cursor;
yy344:
#line 70 "src/lib/amipack_parser_detect.re"
	{ return AMI_QUEUE;   }
#line 3395 "src/lib/amipack_parser_detect.c"
yy345:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy349;
	default:	goto yy58;
	}
yy346:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy350;
	default:	goto yy50;
	}
yy347:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy351;
	default:	goto yy214;
	}
yy348:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy352;
	case ')':	goto yy223;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy353;
	default:	goto yy217;
	}
yy349:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy355;
	default:	goto yy58;
	}
yy350:
	yych = *++cursor;
	switch (yych) {
	case 'e':	goto yy356;
	default:	goto yy50;
	}
yy351:
	yych = *++cursor;
	switch (yych) {
	case 'i':	goto yy357;
	default:	goto yy214;
	}
yy352:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy358;
	default:	goto yy218;
	}
yy353:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy359;
	case ')':	goto yy223;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy353;
	case ':':	goto yy340;
	default:	goto yy217;
	}
yy355:
	yych = *++cursor;
	switch (yych) {
	case 'e':	goto yy361;
	default:	goto yy58;
	}
yy356:
	yych = *++cursor;
	switch (yych) {
	case 'g':	goto yy362;
	default:	goto yy50;
	}
yy357:
	yych = *++cursor;
	switch (yych) {
	case 'n':	goto yy363;
	default:	goto yy214;
	}
yy358:
	yyaccept = 3;
	yych = *(packet = ++cursor);
	goto yy218;
yy359:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy359;
	case ')':	goto yy223;
	case ':':	goto yy340;
	default:	goto yy217;
	}
yy361:
	yych = *++cursor;
	switch (yych) {
	case 'g':	goto yy364;
	default:	goto yy58;
	}
yy362:
	yych = *++cursor;
	switch (yych) {
	case 'y':	goto yy365;
	default:	goto yy50;
	}
yy363:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy366;
	default:	goto yy214;
	}
yy364:
	yych = *++cursor;
	switch (yych) {
	case 'y':	goto yy367;
	default:	goto yy58;
	}
yy365:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy368;
	default:	goto yy50;
	}
yy366:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy369;
	default:	goto yy214;
	}
yy367:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy370;
	default:	goto yy58;
	}
yy368:
	yyaccept = 5;
	yych = *(packet = ++cursor);
	goto yy50;
yy369:
	yych = *++cursor;
	switch (yych) {
	case '\'':	goto yy213;
	default:	goto yy372;
	}
yy370:
	yyaccept = 5;
	yych = *(packet = ++cursor);
	goto yy58;
yy371:
	yych = *++cursor;
yy372:
	switch (yych) {
	case '\r':	goto yy373;
	case '\'':	goto yy374;
	default:	goto yy371;
	}
yy373:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy375;
	case '\'':	goto yy274;
	default:	goto yy262;
	}
yy374:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy376;
	default:	goto yy214;
	}
yy375:
	yych = *++cursor;
	switch (yych) {
	case '\r':	goto yy377;
	case '\'':	goto yy274;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy378;
	default:	goto yy262;
	}
yy376:
	yych = *++cursor;
	switch (yych) {
	case 's':	goto yy380;
	default:	goto yy214;
	}
yy377:
	yych = *++cursor;
	switch (yych) {
	case '\n':	goto yy381;
	default:	goto yy263;
	}
yy378:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy382;
	case '\'':	goto yy274;
	case '-':
	case '.':
	case '0':
	case '1':
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'E':
	case 'F':
	case 'G':
	case 'H':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'O':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'U':
	case 'V':
	case 'W':
	case 'X':
	case 'Y':
	case 'Z':
	case '_':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'e':
	case 'f':
	case 'g':
	case 'h':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'o':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'u':
	case 'v':
	case 'w':
	case 'x':
	case 'y':
	case 'z':	goto yy378;
	case ':':	goto yy371;
	default:	goto yy262;
	}
yy380:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy384;
	default:	goto yy214;
	}
yy381:
	yyaccept = 3;
	yych = *(packet = ++cursor);
	goto yy263;
yy382:
	yych = *++cursor;
	switch (yych) {
	case '\t':
	case ' ':	goto yy382;
	case '\'':	goto yy274;
	case ':':	goto yy371;
	default:	goto yy262;
	}
yy384:
	yych = *++cursor;
	switch (yych) {
	case 'r':	goto yy385;
	default:	goto yy214;
	}
yy385:
	yych = *++cursor;
	switch (yych) {
	case 'a':	goto yy386;
	default:	goto yy214;
	}
yy386:
	yych = *++cursor;
	switch (yych) {
	case 't':	goto yy387;
	default:	goto yy214;
	}
yy387:
	yych = *++cursor;
	switch (yych) {
	case 'e':	goto yy388;
	default:	goto yy214;
	}
yy388:
	yych = *++cursor;
	switch (yych) {
	case 'g':	goto yy389;
	default:	goto yy214;
	}
yy389:
	yych = *++cursor;
	switch (yych) {
	case 'y':	goto yy390;
	default:	goto yy214;
	}
yy390:
	yych = *++cursor;
	switch (yych) {
	case ' ':	goto yy391;
	default:	goto yy214;
	}
yy391:
	yyaccept = 5;
	yych = *(packet = ++cursor);
	goto yy214;
}
#line 71 "src/lib/amipack_parser_detect.re"


}

